> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customer Subscription packages

> Getting all customer subscription packages as paginated response



## OpenAPI

````yaml /openapi.yaml get /customer-subscription-packages
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /customer-subscription-packages:
    get:
      tags:
        - Customer Subscription Packages API
      summary: List Customer Subscription packages
      description: Getting all customer subscription packages as paginated response
      operationId: list-customer-subscription-packages
      responses:
        '200':
          description: Paginated response with customer subscription packages
          content:
            application/json:
              schema:
                type: object
                properties:
                  current_page:
                    type: integer
                    example: 1
                    description: Current page of the response
                  data:
                    type: array
                    description: Array of Customer Subscription Package objects
                    items:
                      $ref: '#/components/schemas/CustomerSubscriptionPackage'
                  first_page_url:
                    type: string
                    example: >-
                      https://api.mijnklantportaal.nl/v1/customer-subscription-packages?page=1
                    description: Endpoint to go to the first page of objects
                  from:
                    type: integer
                    example: 1
                    description: Offset of the current page
                  next_page_url:
                    type: string
                    nullable: true
                    example: >-
                      https://api.mijnklantportaal.nl/v1/customer-subscription-packages?page=2,
                    description: Endpoint to get the next batch of objects, if available
                  path:
                    type: string
                    example: >-
                      https://api.mijnklantportaal.nl/v1/customer-subscription-packages
                    description: Current used endpoint
                  per_page:
                    type: integer
                    example: 15
                    description: Amount of object returned per page. Default is 15 objects
                  prev_page_url:
                    type: string
                    nullable: true
                    example: null
                    description: Endpoint to get the previous batch of object, if available
                  to:
                    type: integer
                    example: 15
                    description: Next offset of objects
components:
  schemas:
    CustomerSubscriptionPackage:
      type: object
      description: Customer Subscription Package
      properties:
        id:
          type: string
          example: spg_abc12345def678
          description: ID of the subscription package, always starting with `spg_`.
        name:
          type: string
          example: Phone subscription
          description: Name of the subscription package
        description:
          type: string
          nullabe: true
          example: 1GB per month, 300min per month
          description: A description of the package, mainly meant for terms and conditions
        interval:
          type: string
          example: 1 year
          description: >-
            The interval of which the subscription will be extended with. Can be
            `14 days`, `1 month`, `2 months`, `6 months` or `1 year`.
        currency:
          type: string
          example: EUR
          description: Currency of the subscription price amount.
        amount:
          type: string
          example: '12.95'
          description: Amount value as `string`.
        vatRate:
          type: integer
          example: 21
          description: The VAT rate percentage as integer. Can be `0`, `9` or `21`.
        availableForSale:
          type: boolean
          example: true
          description: >-
            Indicates if the package is available for sale in the portal and
            public page, if enabled
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````